{% from "packages/components/summary-list/macro.njk" import summaryList %}

{#
  hrtWithoutActionSummaryWithContent() maps list data to the correct parameters in summaryList and adds optional HTML content

  params: 
  listRows: array of rows for summary list
  classes: string of class names
  contentHTML: optionl HTML content below summary list
#}
{% macro hrtWithoutActionSummaryWithContent(params) %}
  {% set safeRows = [] %}

  {% for rowData in params.listRows %}
    {% set row = {
      key : {
        text: rowData.key
      },
      value: {
        text: rowData.value | escape | nl2br | safe
      }
    } %}

    {% set safeRowsLength = safeRows.push(row) %}
  {% endfor %}

  <div class="nhsbsa-summary-content__body-blue nhsbsa-summary-content-border-radius nhsbsa-summary-content-spacing">
    {{ summaryList({
      classes: params.classes,
      rows: safeRows
    }) }}

    {% if params.contentHTML %}
        <span id="summary-body">
          {{ params.contentHTML | safe }}
        </span>
    {% endif %}
  </div>

{% endmacro %}